"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRawBodyMiddleWare = void 0;
const body_parser_1 = __importDefault(require("body-parser"));
/**
 * Set req.rawBody before any other middleware changes the body. Used to verify incoming request signatures for example.
 * @param route
 */
function createRawBodyMiddleWare(route) {
    return {
        route,
        beforeListen: true,
        handler: body_parser_1.default.json({
            verify(req, _, buf) {
                if (Buffer.isBuffer(buf)) {
                    req.rawBody = Buffer.from(buf);
                }
                return true;
            },
        }),
    };
}
exports.createRawBodyMiddleWare = createRawBodyMiddleWare;
