"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasStripeSubscriptionProductsPaymentChecker = exports.hasSubscriptions = void 0;
const core_1 = require("@vendure/core");
function hasSubscriptions(order) {
    return order.lines.some((line) => line.productVariant.customFields.subscriptionSchedule);
}
exports.hasSubscriptions = hasSubscriptions;
exports.hasStripeSubscriptionProductsPaymentChecker = new core_1.PaymentMethodEligibilityChecker({
    code: 'has-stripe-subscription-products-checker',
    description: [
        {
            languageCode: core_1.LanguageCode.en,
            value: 'Checks that the order has Stripe Subscription products.',
        },
    ],
    args: {},
    check: (ctx, order, args) => {
        if (hasSubscriptions(order)) {
            return true;
        }
        return false;
    },
});
