import { DeepPartial, VendureEntity } from '@vendure/core';
import { SubscriptionInterval, SubscriptionStartMoment } from '../ui/generated/graphql';
export declare class Schedule extends VendureEntity {
    constructor(input?: DeepPartial<Schedule>);
    name: string;
    channelId: string;
    downpayment: number;
    durationInterval: SubscriptionInterval;
    durationCount: number;
    startMoment: SubscriptionStartMoment;
    billingInterval: SubscriptionInterval;
    billingCount: number;
    fixedStartDate?: Date;
    useProration?: boolean;
    autoRenew?: boolean;
    /**
     * When billing and duration cycles are the same, this is a paid-up-front schedule
     * and the user pays the total amount of a subscription up front
     */
    get paidUpFront(): boolean;
}
