"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Schedule = void 0;
const core_1 = require("@vendure/core");
const graphql_1 = require("../ui/generated/graphql");
const typeorm_1 = require("typeorm");
let Schedule = class Schedule extends core_1.VendureEntity {
    constructor(input) {
        super(input);
    }
    /**
     * When billing and duration cycles are the same, this is a paid-up-front schedule
     * and the user pays the total amount of a subscription up front
     */
    get paidUpFront() {
        return (this.billingInterval.valueOf() == this.durationInterval.valueOf() &&
            this.billingCount.valueOf() == this.durationCount.valueOf());
    }
};
__decorate([
    (0, typeorm_1.Column)('varchar', { nullable: false }),
    __metadata("design:type", String)
], Schedule.prototype, "name", void 0);
__decorate([
    (0, typeorm_1.Column)('varchar', { nullable: false }),
    __metadata("design:type", String)
], Schedule.prototype, "channelId", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', nullable: false }),
    __metadata("design:type", Number)
], Schedule.prototype, "downpayment", void 0);
__decorate([
    (0, typeorm_1.Column)('simple-enum', { nullable: false, enum: graphql_1.SubscriptionInterval }),
    __metadata("design:type", String)
], Schedule.prototype, "durationInterval", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', nullable: false }),
    __metadata("design:type", Number)
], Schedule.prototype, "durationCount", void 0);
__decorate([
    (0, typeorm_1.Column)('simple-enum', { nullable: false, enum: graphql_1.SubscriptionStartMoment }),
    __metadata("design:type", String)
], Schedule.prototype, "startMoment", void 0);
__decorate([
    (0, typeorm_1.Column)('simple-enum', { nullable: false, enum: graphql_1.SubscriptionInterval }),
    __metadata("design:type", String)
], Schedule.prototype, "billingInterval", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'integer', nullable: false }),
    __metadata("design:type", Number)
], Schedule.prototype, "billingCount", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: Date, nullable: true }),
    __metadata("design:type", Date)
], Schedule.prototype, "fixedStartDate", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'boolean', nullable: true }),
    __metadata("design:type", Boolean)
], Schedule.prototype, "useProration", void 0);
__decorate([
    (0, typeorm_1.Column)({ type: 'boolean', nullable: true }),
    __metadata("design:type", Boolean)
], Schedule.prototype, "autoRenew", void 0);
Schedule = __decorate([
    (0, typeorm_1.Entity)(),
    __metadata("design:paramtypes", [Object])
], Schedule);
exports.Schedule = Schedule;
