import { RequestContext, TransactionalConnection } from '@vendure/core';
import { StripeSubscriptionSchedule, UpsertStripeSubscriptionScheduleInput } from '../ui/generated/graphql';
export declare class ScheduleService {
    private connection;
    constructor(connection: TransactionalConnection);
    getSchedules(ctx: RequestContext): Promise<StripeSubscriptionSchedule[]>;
    upsert(ctx: RequestContext, input: UpsertStripeSubscriptionScheduleInput): Promise<StripeSubscriptionSchedule>;
    delete(ctx: RequestContext, scheduleId: string): Promise<void>;
    validate(input: UpsertStripeSubscriptionScheduleInput): void;
}
