"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.orderLineCustomFields = exports.customerCustomFields = exports.productVariantCustomFields = void 0;
const core_1 = require("@vendure/core");
const schedule_entity_1 = require("./schedule.entity");
exports.productVariantCustomFields = [
    {
        name: 'subscriptionSchedule',
        label: [
            {
                languageCode: core_1.LanguageCode.en,
                value: 'Subscription Schedule',
            },
        ],
        type: 'relation',
        entity: schedule_entity_1.Schedule,
        graphQLType: 'StripeSubscriptionSchedule',
        public: true,
        nullable: true,
        eager: true,
        ui: { component: 'schedule-form-selector', tab: 'Subscription' },
    },
];
exports.customerCustomFields = [
    /* ------------ Stripe customer ID -------------------------- */
    {
        name: 'stripeSubscriptionCustomerId',
        label: [
            {
                languageCode: core_1.LanguageCode.en,
                value: 'Stripe Customer ID',
            },
        ],
        type: 'string',
        public: false,
        nullable: true,
        ui: { tab: 'Subscription' },
    },
];
exports.orderLineCustomFields = [
    {
        name: 'downpayment',
        label: [
            {
                languageCode: core_1.LanguageCode.en,
                value: 'Downpayment',
            },
        ],
        type: 'int',
        public: true,
        nullable: true,
        ui: { tab: 'Subscription', component: 'currency-form-input' },
    },
    {
        name: 'startDate',
        label: [
            {
                languageCode: core_1.LanguageCode.en,
                value: 'Start Date',
            },
        ],
        type: 'datetime',
        public: true,
        nullable: true,
        ui: { tab: 'Subscription' },
    },
    {
        name: 'subscriptionIds',
        label: [
            {
                languageCode: core_1.LanguageCode.en,
                value: 'Downpayment',
            },
        ],
        type: 'string',
        list: true,
        public: false,
        readonly: true,
        internal: true,
        nullable: true,
    },
    {
        name: 'subscriptionHash',
        label: [
            {
                languageCode: core_1.LanguageCode.en,
                value: 'Subscription hash',
            },
        ],
        description: [
            {
                languageCode: core_1.LanguageCode.en,
                value: 'Unique hash to separate order lines',
            },
        ],
        type: 'string',
        list: true,
        public: false,
        readonly: true,
        internal: true,
        nullable: true,
    },
];
