"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscriptionOrderItemCalculation = void 0;
const default_order_item_price_calculation_strategy_1 = require("@vendure/core/dist/config/order/default-order-item-price-calculation-strategy");
const stripe_subscription_service_1 = require("../api/stripe-subscription.service");
let subcriptionService;
class SubscriptionOrderItemCalculation extends default_order_item_price_calculation_strategy_1.DefaultOrderItemPriceCalculationStrategy {
    init(injector) {
        subcriptionService = injector.get(stripe_subscription_service_1.StripeSubscriptionService);
    }
    // @ts-ignore - Our strategy takes more arguments, so TS complains that it doesnt match the super.calculateUnitPrice
    async calculateUnitPrice(ctx, productVariant, orderLineCustomFields, order) {
        if (productVariant.customFields.subscriptionSchedule) {
            const pricing = await subcriptionService.getPricingForVariant(ctx, {
                downpayment: orderLineCustomFields.downpayment,
                startDate: orderLineCustomFields.startDate,
                productVariantId: productVariant.id,
            });
            return {
                price: pricing.amountDueNow,
                priceIncludesTax: productVariant.listPriceIncludesTax,
            };
        }
        else {
            return super.calculateUnitPrice(ctx, productVariant);
        }
    }
}
exports.SubscriptionOrderItemCalculation = SubscriptionOrderItemCalculation;
